Skip to content
Developer

Social Moderation Triggers

Media5 EndpointsMedia / Social Moderation Triggers

Returns a list of moderation triggers

GET/api/media/social_moderation_trigger

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/social_moderation_trigger \
  --header 'x-iw-jwt-token: <TOKEN>'

Creates a moderation trigger

POST/api/media/social_moderation_trigger

Request body application/json

  • dataMediaSocialModerationTrigger
    Show fields (5)
    • patternstring

      Pattern that triggers the moderation, for example a word or expression.

    • trigger_typestring

      Type of the trigger, for example keyword or link.

    • descriptionstring

      Description of the trigger.

    • activeboolean

      The trigger is active.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Create a moderation triggerMediaSocialModerationTrigger2

Show fields (9)
  • idinteger

    Primary key of the moderation trigger. Internal ID.

  • patternstring

    Pattern that triggers the moderation, for example a word or expression.

  • trigger_typestring

    Type of the trigger, for example keyword or link.

  • descriptionstring

    Description of the trigger.

  • activeboolean

    The trigger is active.

  • sourcestring

    Source of the trigger, for example the admin or the AI check.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/social_moderation_trigger \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "description": "Text",
    "pattern": "string",
    "trigger_type": "string",
    "active": true,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "description": "Text",
  "pattern": "string",
  "trigger_type": "string",
  "active": true,
  "source": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Returns a single moderation trigger

GET/api/media/social_moderation_trigger/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/social_moderation_trigger/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

Updates a moderation trigger

PUT/api/media/social_moderation_trigger/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataMediaSocialModerationTrigger
    Show fields (5)
    • patternstring

      Pattern that triggers the moderation, for example a word or expression.

    • trigger_typestring

      Type of the trigger, for example keyword or link.

    • descriptionstring

      Description of the trigger.

    • activeboolean

      The trigger is active.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a moderation triggerMediaSocialModerationTrigger2

Show fields (9)
  • idinteger

    Primary key of the moderation trigger. Internal ID.

  • patternstring

    Pattern that triggers the moderation, for example a word or expression.

  • trigger_typestring

    Type of the trigger, for example keyword or link.

  • descriptionstring

    Description of the trigger.

  • activeboolean

    The trigger is active.

  • sourcestring

    Source of the trigger, for example the admin or the AI check.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/media/social_moderation_trigger/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "description": "Text",
    "pattern": "string",
    "trigger_type": "string",
    "active": true,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "description": "Text",
  "pattern": "string",
  "trigger_type": "string",
  "active": true,
  "source": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Updates a moderation trigger

PATCH/api/media/social_moderation_trigger/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataMediaSocialModerationTrigger
    Show fields (5)
    • patternstring

      Pattern that triggers the moderation, for example a word or expression.

    • trigger_typestring

      Type of the trigger, for example keyword or link.

    • descriptionstring

      Description of the trigger.

    • activeboolean

      The trigger is active.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a moderation triggerMediaSocialModerationTrigger2

Show fields (9)
  • idinteger

    Primary key of the moderation trigger. Internal ID.

  • patternstring

    Pattern that triggers the moderation, for example a word or expression.

  • trigger_typestring

    Type of the trigger, for example keyword or link.

  • descriptionstring

    Description of the trigger.

  • activeboolean

    The trigger is active.

  • sourcestring

    Source of the trigger, for example the admin or the AI check.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/media/social_moderation_trigger/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "description": "Text",
    "pattern": "string",
    "trigger_type": "string",
    "active": true,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "description": "Text",
  "pattern": "string",
  "trigger_type": "string",
  "active": true,
  "source": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}